// aplFormView.cpp : implementation file
//

#include "stdafx.h"
#include "apl_gui.h"


// CaplFormView

CaplFormView::CaplFormView(LPCTSTR lpszTemplateName) : CFormView(lpszTemplateName)
{

}

CaplFormView::CaplFormView(UINT nIDTemplate) : CFormView(nIDTemplate)
{

}

CaplFormView::~CaplFormView()
{
}

void CaplFormView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();

	// TODO: Add your specialized code here and/or call the base class
	if (CaplTranslate::IsNeedTranslate())
	{
		// переводим заголовок диалога
		CString sText;
		GetWindowText(sText);
		if (!sText.IsEmpty())
		{
			CString sTranslatedText = CaplTranslate::Translate(sText);
			if (sTranslatedText != sText)
			{
				SetWindowText(sTranslatedText);
			}
		}

		// бежим по всем контролам и переводим
		CWnd *pWndChild = GetWindow(GW_CHILD);
		while(pWndChild)
		{
			pWndChild->GetWindowText(sText);
			if (!sText.IsEmpty())
			{
				CString sTranslatedText = CaplTranslate::Translate(sText);
				if (sTranslatedText != sText)
				{
					CaplStatic* pStatic = dynamic_cast<CaplStatic*>(pWndChild);
					if (pStatic)
					{
						pStatic->SetText(sTranslatedText);
					}
					else
					{
						pWndChild->SetWindowText(sTranslatedText);
					}
				}
			}
			pWndChild = pWndChild->GetNextWindow();
		}
	}
}
